<?
function check_equal($checked, $value)
{
  return($checked == $value ? " checked" : "");
}

function select_equal($selected, $value)
{
  return($selected == $value ? " selected" : "");
}

function check_multi($checked, $values)
{
  $array = split(",", $values);
  foreach($array as $value)
  {
    if($checked == $value) return " checked";
  }
  return "";
}

function select_multi($selected, $values)
{
  $array = split(",", $values);
  foreach($array as $value)
  {
    if($selected == $value) return " selected";
  }
  return "";
}

function msg_box($msg)
{
  echo("\n<script language='JavaScript'>\n".
       "<!--\n".
       "alert(\"$msg\");\n".
       "history.go(-1)".
       "//--> \n".
       "</script>\n");
  exit;
}

function select_option($list, $value="")
{
  if(gettype($list) != "array") return(false);
  $option = "";
  foreach($list as $key => $val)
  {
    if($value == $key) $selected = " selected";
    else $selected = "";
    $option .= "<option value=\"$key\"$selected>$val</option>\n";
  }
  return($option);
}

function unhtmlspecialchars($str)
{
  $chars["&lt;"] = "<";
  $chars["&gt;"] = ">";
  $chars["&quot;"] = "\"";
  $chars["&amp;"] = "&";
  $str = strtr($str, $chars);
  return $str;
}

function utime()
{
  $time = explode(" ", microtime());
  $usec = (double)$time[0];
  $sec = (double)$time[1];
  return $sec + $usec;
}

function sethline($select, $cellcount, $comment=false)
{
  global $spark_root, $home_url, $spark_url;
  if($comment)
  {
    $val_image = "comment_output_hline_image";
    $val_setbg = "comment_output_hline_setbg";
  }
  else
  {
    $val_image = "${select}_output_hline_image";
    $val_setbg = "${select}_output_hline_setbg";
  }
  global $$val_image, $$val_setbg, $$val_width;
  $return = "";
  if(!empty($$val_image))
  {
    $img_size = getimagesize("$spark_root/${$val_image}");
	 if($$val_setbg == "on")
	 {
	   $return = "<tr><td colspan=\"$cellcount\" width=\"100%\"  height=\"${img_size[1]}\" background=\"$home_url$spark_url/${$val_image}\">".
				    make_image($$val_image, "")."</td></tr>\n";
    }
	 else
	 {
	   $return = "<tr><td align=\"center\" colspan=\"$cellcount\">".
                make_image($$val_image, "").
                "</td></tr>\n";
    }
  }
  return $return;
}

function mailwindow()
{
  global $bid, $gid, $spark_root, $general_mail_prog, $webmail_window_size_width,
         $webmail_window_new, $webmail_window_size_height;
  $return = "";
  if(($general_mail_prog == "webmail")&&($webmail_window_new == "new"))
  {
    $java = new jsc("form", "form");
    $wx = "620";
    if(!empty($webmail_window_size_width)) $wx = $webmail_window_size_width;
    $win_option["width"] = $wx;
    $wy = "500";
    if(!empty($webmail_window_size_height)) $wy = $webmail_window_size_height;
    $win_option["height"] = $wy;
    $win_option["menubar"] = "0";
    $win_option["toolbar"] = "0";
    $win_option["location"] = "0";
    $win_option["scrollbars"] = "0";
    $win_option["resizable"] = "1";
    $win_option["statusbar"] = "0";
    $java->NewNameWin("WebMail$bid", $win_option);
    $return = $java->jsc_close();
  }
  return $return;
}
?>