<?
function list_query($search, $where, $start, $line)
{
  global $table_name, $board_type, $sort, $desc;

  $sorting = "nid";
  if(!empty($sort))
  {
    $sorting = $sort;
    if(!empty($desc)) $sorting .= " desc";
  }
  $query = "select * from $table_name order by $sorting limit $start, $line";
  if(!empty($search))
  {
    $query = "select * from $table_name";
    $query .= search2sql($search, $where)." order by nid limit $start, $line";
  }

  if($board_type == "board")
  {
    $sorting = "sortgroup";
    if(!empty($sort))
    {
      if($sort != "nid") $sorting = "$sort";
      if(!empty($desc)) $sorting .= " desc";
    }
    $query = "select * from $table_name order by $sorting limit $start, $line";
    if(!empty($search))
	 {
      $query = "select * from $table_name".
               search2sql($search, $where)." order by sortgroup limit $start, $line";
	 }
  }
  return $query;
}

function setlist_table($style)
{
  global $list_output_table_color, $list_output_table_colorlight, $list_output_table_cellspacing, 
         $list_output_table_colordark, $list_output_table_width, $list_output_table_cellpadding,
         $list_output_table_weight;

  $attrib = "";
  if(!empty($style)) $attrib .= " style=\"$style\"";
  if(!empty($list_output_table_color)) $attrib .= " bordercolor=\"$list_output_table_color\"";
  if(!empty($list_output_table_colorlight)) $attrib .= " bordercolorlight=\"$list_output_table_colorlight\"";
  if(!empty($list_output_table_colordark)) $attrib .= " bordercolordark=\"$list_output_table_colordark\"";
  if(!empty($list_output_table_width)) $attrib .= " width=\"$list_output_table_width\"";
  if(isset($list_output_table_cellpadding)&&($list_output_table_cellpadding != "")) $attrib .= " cellpadding=\"$list_output_table_cellpadding\"";
  if(isset($list_output_table_cellspacing)&&($list_output_table_cellspacing != "")) $attrib .= " cellspacing=\"$list_output_table_cellspacing\"";
  if(isset($list_output_table_weight)&&($list_output_table_weight != "")) $attrib .= " border=\"$list_output_table_weight\"";
  return $attrib;
}

function setbaby_table($style)
{
  global $list_baby_table_bgcolor, $list_baby_table_weight, $list_baby_table_cellpadding,
         $list_baby_table_cellspacing, $list_baby_table_width, $list_baby_table_color;
  $attrib = "";
  if(!empty($style)) $attrib .= " style=\"$style\"";
  if(!empty($list_baby_table_bgcolor)) $attrib .= " bgcolor=\"$list_baby_table_bgcolor\"";
  if(isset($list_baby_table_weight)&&($list_baby_table_weight != "")) $attrib .= " border=\"$list_baby_table_weight\"";
  if(isset($list_baby_table_cellpadding)&&($list_baby_table_cellpadding != ""))$attrib .= " cellpadding=\"$list_baby_table_cellpadding\"";
  if(isset($list_baby_table_cellspacing)&&($list_baby_table_cellspacing != "")) $attrib .= " cellspacing=\"$list_baby_table_cellspacing\"";
  if(!empty($list_baby_table_width)) $attrib .= " width=\"$list_baby_table_width\"";
  if(!empty($list_baby_table_color)) $attrib .= " color=\"$list_baby_table_color\"";
  return $attrib;
}

function setlist_cell()
{
  global $list_output_cellbasic_colordark, $list_output_cellbasic_colorlight;
  $return = "";
  if(!empty($list_output_cellbasic_colordark)) $return .= " bordercolordark=\"$list_output_cellbasic_colordark\"";
  if(!empty($list_output_cellbasic_colorlight)) $return .= " bordercolorlight=\"$list_output_cellbasic_colorlight\"";
  return $return;
}

function setlist_cellattrib($list)
{
  global $list_output_cellbasic_height;

  $addattrib = setlist_cell();
  if(!empty($list_output_cellbasic_height)) $addattrib .= " height=\"$list_output_cellbasic_height\"";
  foreach($list as $key => $value)
  {
    $attrib = "";
    $val_bgcolor = "list_output_${key}_bgcolor";
	 $val_width = "list_output_${key}_width";
    $val_fsize = "list_output_${key}_fsize";
    global $$val_bgcolor, $$val_width, $$val_fsize;
    if(!empty($$val_bgcolor)) $attrib .= " bgcolor=\"${$val_bgcolor}\"";
	 if(!empty($$val_width)) $attrib .= " width=\"${$val_width}\"";
    if(!empty($$val_fsize)) $attrib .= " style=\"font-size:${$val_fsize}\"";
    $tds[] = $attrib.$addattrib;
  }
  return $tds;
}

function setgallery_cellattrib($list)
{
  global $list_output_cellbasic_height;

  $height = "";
  $addattrib = setlist_cell();
  if(!empty($list_output_cellbasic_height)) $height = " height=\"$list_output_cellbasic_height\"";
  $width = 0;
  foreach($list as $key => $value)
  {
    $val_width = "list_output_${key}_width";
    global $$val_width;
    if(!empty($$val_width))
    {
      if($width < $$val_width) $width = $$val_width;
    }
  }
  $width = " width=\"$width\"";
  foreach($list as $key => $value)
  {
    $val_bgcolor = "list_output_${key}_bgcolor";
    $val_fsize = "list_output_${key}_fsize";
    global $$val_bgcolor, $$val_fsize;
    $attrib = $width;
    if($value != "imgfile") $attrib .= $height;
    if(!empty($$val_bgcolor)) $attrib .= " bgcolor=\"${$val_bgcolor}\"";
    if(!empty($$val_fsize)) $attrib .= " style=\"font-size:${$val_fsize}\"";
    $tds[] = $attrib;
  }
  return $tds;  
}

function set_mouseovercolor()
{
  global $list_output_mouseover_color;
  $return = "";
  if(!empty($list_output_mouseover_color))
  {
    $return .= " onMouseover=\"this.style.backgroundColor='$list_output_mouseover_color'\"".
	            " onMouseout=\"this.style.backgroundColor=''\"";
  }
  return $return;
}

function list_icon_link($count, $page, $addurl)
{
  global $bid, $gid, $PHP_SELF, $sort, $desc;
  if(!empty($sort)) $addurl .= "&sort=".urlencode($sort);
  if(!empty($desc)) $addurl .= "&desc=".urlencode($desc);
  $value["next"] = "";
  if($count > $page) $value["next"] = "$PHP_SELF?mode=".urlencode("list")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&lp=".urlencode($page + 1).$addurl;
  $value["prev"] = "";
  if(1 < $page) $value["prev"] = "$PHP_SELF?mode=".urlencode("list")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&lp=".urlencode($page - 1).$addurl;
  return $value;
}

function newwindow()
{
  global $window_new, $window_size_width, $window_menu_view, $window_tool_view, $window_location_view,
         $window_scroll_view, $window_resizable_view, $window_menu_view;
  $return = "";
  if($window_new == "new")
  {
    $java = new jsc("form", "form");
    $wx = "900";
    if(!empty($window_size_width)) $wx = $window_size_width;
    $win_option["width"] = $wx;
    $wy = "600";
    if(!empty($window_size_height)) $wy = $window_size_height;
    $win_option["height"] = $wy;
    $win_option["menubar"] = "0";
    if(!empty($window_menu_view)) $win_option["menubar"] = "1";
    $win_option["toolbar"] = "0";
    if(!empty($window_tool_view)) $win_option["toolbar"] = "1";
    $win_option["location"] = "0";
    if(!empty($window_location_view)) $win_option["location"] = "1";
    $win_option["scrollbars"] = "0";
    if(!empty($window_scroll_view)) $win_option["scrollbars"] = "1";
    $win_option["resizable"] = "0";
    if(!empty($window_resizable_view)) $win_option["resizable"] = "1";
    $win_option["statusbar"] = "0";
    if(!empty($window_menu_view)) $win_option["statusbar"] = "1";
    $java->NewNameWin($bid, $win_option);
    $return = $java->jsc_close();
  }
  return $return;
}

function subjectset($pos, $order)
{
  global $home_url, $spark_url, $list_output_subject_pos, $list_output_table_cellpadding, $list_output_subject_view,
         $list_output_subject_color, $list_output_subject_bgcolor, $list_output_cellsubject_colorlight,
         $list_output_cellsubject_colordark, $list_output_cellsubject_height, $list_output_subject_bgimage;
  if(!empty($list_output_subject_view))
  {
    if(($list_output_subject_pos == $pos)||($list_output_subject_pos == "all"))
    {
	   $fontcolor = "%s";
      if(!empty($list_output_subject_color)) $fontcolor = "<font color=\"$list_output_subject_color\">%s</font>";
      $attrib = " align=\"center\"";
      if(!empty($list_output_subject_bgcolor)) $attrib .= " bgcolor=\"$list_output_subject_bgcolor\"";
	   if(!empty($list_output_cellsubject_colorlight)) $attrib .= " bordercolorlight=\"$list_output_cellsubject_colorlight\"";
	   if(!empty($list_output_cellsubject_colordark))  $attrib .= " bordercolordark=\"$list_output_cellsubject_colordark\"";
      if(!empty($list_output_cellsubject_height)) $attrib .= " height=\"$list_output_cellsubject_height\"";
	   if(!empty($list_output_subject_bgimage)) $attrib .= " background=\"$home_url$spark_url/$list_output_subject_bgimage\"";
      foreach($order as $key => $value)
      {
		  $val_width = "list_output_${key}_width";
        global $$val_width;
		  if(!empty($$val_width)) $width = " width=\"${$val_width}\"";
		  $subject = field_name_usercut($key);
        $subject = sprintf($fontcolor, $subject);
        if($key == "checkview") $subject = set_subject_checkview($subject);
        else $subject = set_subject_sort($subject, $key);
        if(!empty($list_output_table_cellpadding)) $subject = "<p style=\"margin:$list_output_table_cellpadding\">$subject</p>";
        if($key == "checkview")
        {
		    $val_subimg = "list_output_${key}_subimg";
          global $$val_subimg;
          $subject = set_subject_checkview($$val_subimg, "img");
        }
		  $tds .= "<td$attrib$width class=\"subsort\">$subject</td>\n";
	   }
	   return "<tr>$tds</tr>";
	 }
  }
}

function set_subject_sort($subject, $key)
{
  global $gid, $bid, $mode, $desc, $PHP_SELF;
  $addquery = "";
  if($desc != "desc") $addquery = "&desc=".urlencode("desc");
  $return = "<a href=\"$PHP_SELF?gid=".urlencode($gid)."&bid=".urlencode($bid)."&mode=".urlencode($mode)."&sort=".urlencode($key)."$addquery\" title=\"   \"> $subject </a>\n";
  return $return;
}

function set_subject_checkview($subject, $type = "text")
{
  global $home_url, $spark_url, $form_name;
  $check_form_name = "${form_name}_check";
  if($type == "text") $return = "<a href=\"JavaScript:${check_form_name}.submit()\" title=\"  \">$subject</a>\n";
  else $return = "<input type=\"image\" name=\"submit\" src=\"$home_url$spark_url/$subject\" valign=\"absmiddle\" border=\"0\" alt=\"  \">\n";
  return $return;
}

function open_check_form($order)
{
  global $PHP_SELF, $gid, $bid, $mode, $form_name;
  
  $check = false;
  foreach($order as $key => $value)
  {
    if($value == "checkview") $check = true;
  }
  if($check)
  {
    $check_form_name = "${form_name}_check";
    $return = "<form name=\"$check_form_name\" method=\"post\" action=\"$PHP_SELF\">".
            "<input type=\"hidden\" name=\"gid\" value=\"$gid\">".
            "<input type=\"hidden\" name=\"bid\" value=\"$bid\">".
            "<input type=\"hidden\" name=\"mode\" value=\"chread\">";
  }else $return = "";
  return $return;
}

function close_check_form($order)
{
  $check = false;
  foreach($order as $key => $value)
  {
    if($value == "checkview") $check = true;
  }
  if($check) return "</form>";
}

function setsearch_button($button_style = "")
{
  global $home_url, $spark_url, $PHP_SELF, $list_search_view, $icon_search_roll, $text_search, $icon_search, 
         $page_stextbox_line, $page_stextbox_line_color, $page_stextbox_line_width, $page_stextbox_bgcolor,
         $list_search_text_view, $form_name, $mode, $gid, $bid;
  if($board_type == "memo") return "";
  $style = "";
  if(!empty($page_stextbox_line)) $str[] = "border-style:$page_stextbox_line";
  if(!empty($page_stextbox_line_color)) $str[] = "border-color:$page_stextbox_line_color";
  if(!empty($page_stextbox_line_width)) $str[] = "border-width:$page_stextbox_line_width";
  if(!empty($page_stextbox_bgcolor)) $str[] = "background-color:$page_stextbox_bgcolor";
  if(!empty($str))
  {
    $style = " style=\"".setstyle("", $str)."\"";
    unset($str);
  }
  if(!empty($button_style)) $button_style = " style=\"$button_style\"";

  $wheres = getwheres();
  if(!empty($list_search_text_view)&!empty($text_search))
  {
    $return =  "<table align=\"center\" valign=\"middle\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr>\n".
               "<form name=\"$form_name\" method=\"post\" action=\"$PHP_SELF\">".
               "<input type=\"hidden\" name=\"gid\" value=\"$gid\">".
               "<input type=\"hidden\" name=\"bid\" value=\"$bid\">".
               "<input type=\"hidden\" name=\"mode\" value=\"$mode\">".
	            "<td align=\"center\" valign=\"middle\">".
	            "<input$style type=\"text\" name=\"search\" size=\"20\" value=\"$search\">".
			      "</td><td align=\"center\" valign=\"middle\">".
	            "<select$style name=\"where\">".select_option($wheres, $where).
	            "</select></td><td align=\"center\" valign=\"middle\">".
	            "<input type=\"submit\" value=\"$text_search\" onclick=\"this.$form_name.button.value='search'\"$button_style>".
			      "<input type=\"hidden\" name=\"button\" value=\"\">".
			      "</td></tr></form>".
			      "</table>\n";
  }
  if(!empty($list_search_view)&!empty($icon_search))
  {
	 $roll = "";
	 if(!empty($icon_search_roll)) 
	 {
	   $roll = " onMouseOver=\"JavaScript:this.src='$home_url$spark_url/${icon_search_roll}'\" onMouseOut=\"JavaScript:this.src='$home_url$spark_url/${icon_search}'\"";
	 }
    $alt = "";
	 if(!empty($text_search)) $alt = " alt=\"$text_search\"";
    $return =  "<table align=\"center\" valign=\"middle\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>\n".
               "<form name=\"$form_name\" method=\"post\" action=\"$PHP_SELF\">".
               "<input type=\"hidden\" name=\"gid\" value=\"$gid\">".
               "<input type=\"hidden\" name=\"bid\" value=\"$bid\">".
               "<input type=\"hidden\" name=\"mode\" value=\"$mode\">".
	            "<input$style type=\"text\" name=\"search\" size=\"20\" value=\"$search\">".
			      "</td><td align=\"center\" valign=\"middle\">".
	            "<select$style name=\"where\">".select_option($wheres, $where).
	            "</select></td><td align=\"center\" valign=\"middle\">".
		         "<input type=\"image\" onclick=\"this.$form_name.button.value='search'\" src=\"$home_url$spark_url/$icon_search\"$roll align=\"absmiddle\" border=\"0\"$alt>".
			      "<input type=\"hidden\" name=\"button\" value=\"\">\n".
			      "</td></tr></form>".
			      "</table>\n";
  }
  return $return;
}

function setlistmf($fname, $field, $source, $fnum)
{
  $val_mfiles = "list_output_${field}_mfiles";
  global $bid, $gid, $spark_url, $$val_mfiles, $home_url;
  if(!empty($fname)&!empty($$val_mfiles))
  {
    $temp_name = explode("|", $fname);
	 $temp_name2 = explode(".", $temp_name[0]);
    $temp_mfiles = explode(",", $$val_mfiles);
    $tnc = count($temp_name2);
    foreach($temp_mfiles as $key => $value)
	 {
	   if($value == $temp_name2[$tnc - 1])
	   {
        switch($value)
		  {
		    case "asf" :
		    case "asx" :
		    case "avi" :
		    case "dat" :
		    case "mid" :
		    case "mov" :
		    case "mpg" :
		    case "mpeg" :
		    case "swf" :		  
		    case "wav" :
		    case "wma" :
		    case "wmv" :
		    case "rm" :
		    case "ram" :
          case "mp3" :
			      $scroll = "no";
               break;
		    default :
			      $scroll = "yes";
               break;
		  }
        if(get_access("read")) $return = "<a href=\"JavaScript:MfWindow('$home_url$spark_url/main.php?mode=".urlencode("view")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&view=".urlencode($fnum)."&field=".urlencode($field)."&choice=".urlencode("list")."', '$scroll');\">$source</a>";
        else $return = $source;
		  return $return;
	   }
	 }
  }
  return "";
}

function view_userimage($row, $val)
{
  $width = "list_output_${val}_sizew";
  $height = "list_output_${val}_sizeh";
  global $spark_root, $home_url, $spark_url, $gid, $bid, $$width, $$height;

  $return = "";
  $fname = explode("|", $row[$val]);
  $fname_tmp = "groups/$gid/boards/$bid/upfiles/${fname[1]}/${fname[0]}";
  $img_size = getimagesize("$spark_root/$fname_tmp");
  $imgsize[0] = $img_size[0];
  $imgsize[1] = $img_size[1];
  if($$width < $imgsize[0])
  {
	 $val_tmp = $img_size[0]/$$width;
	 $imgsize[0] = $$width;
	 $imgsize[1] = intval($img_size[1]/$val_tmp);
  }
  if($$height < $imgsize[1])
  {
	 $val_tmp = $img_size[1]/$$height;
	 $imgsize[0] = intval($img_size[0]/$val_tmp);
	 $imgsize[1] = $$height;
  }
  if(!empty($fname))
  {
    $return = "<img src=\"$home_url$spark_url/$fname_tmp\" width=\"${imgsize[0]}\" height=\"${imgsize[1]}\" border=\"0\" alt=\"${fname[0]}\">";
  }
  return $return;
}

function user_limage()
{
  global $user_limg, $user_limgbg, $td_count;

  $return = "";
  if(!empty($user_limg))
  {
    $tmp_img = "<img src=\"$user_limg\" border=\"0\" valign=\"absmiddle\">";
    if($user_limgbg == true) $tag_bg = " background=\"$user_limg\"";
    $return = "<tr><td colspan=\"$td_count\" width=\"100%\" height=\"1\"$tag_bg>$tmp_img</td></tr>";
  }
  return $return;
}
?>