<?
function make_image($image, $text)
{
  global $home_url, $spark_url, $spark_root;
  $return = "";
  if(!empty($image)) $img_size = getimagesize("$spark_root/$image");
  if(!empty($image)&!empty($text)) $return = "<img src=\"$home_url$spark_url/$image\" border=\"0\" alt=\"$text\" ${img_size[3]} valign=\"absmiddle\">";
  else if(!empty($image)&empty($text)) $return = "<img src=\"$home_url$spark_url/$image\" border=\"0\" ${img_size[3]} valign=\"absmiddle\">";
  else if(empty($image)&!empty($text)) $return = $text;
  return $return;
}

function make_view($row, $select="list")
{
  global $board_type, $list_output_basic_image, $list_output_basic_text, $list_output_reply_count,
         $list_output_reply_column, $list_output_reply_image, $list_output_reply_text;
  
  $return = "";
  if($board_type == "board")
  {
    if(empty($row[renum])) $return .= make_image($list_output_basic_image, $list_output_basic_text);
    else
    {
      $renum = $row[renum];
      if(empty($list_output_reply_count)) $list_output_reply_count = 10;
	   if($list_output_reply_count < $renum) $renum = $list_output_reply_count;
	   if(empty($list_output_reply_column)) $list_output_reply_column = 0;
	   for($c = 0; $c < $renum; $c++)
	   {
	     for($l = 0; $l < $list_output_reply_column; $l++) $return .= "&nbsp;";
	   }
	   $return .= make_image($list_output_reply_image, $list_output_reply_text);
    }
  }
  return $return;
}

function new_hot_view($row, $select="list")
{
  global $list_output_new_time, $list_output_new_image, $list_output_new_text, $list_output_hot_hit,
          $list_output_hot_image, $list_output_hot_text;

  $return = "";
  if(!empty($row["etime"]))
  {
    if(!empty($list_output_new_time))
    {
      $end_time = $row["etime"] + (86400 * $list_output_new_time);
      if($end_time >= time()) $return .= make_image($list_output_new_image, $list_output_new_text);
    }
  }
  if(!empty($row["hit"]))
  {
    if($row["hit"] >= $list_output_hot_hit)
	 {
	   $return .= make_image($list_output_hot_image, $list_output_hot_text);
	 }
  }
  return $return;
}

function file_view($row, $val, $select="list")
{
  $val_type = "${select}_output_$val"."_type";
  global $$val_type, $icon_none, $text_none;

  $full_ext = array("gif", "jpg", "image", "sound", "avi", "real", "qtime", "swf", "html",  
                    "text","msword", "hwp", "doc", "zip", "exe", "file1", "file2");
  
  if($row[$val] != "")
  {
    $file = explode("|", $row[$val]);
    $fext = explode(".", $file[0]);
    $c = count($fext) - 1;
	 $file_ext = $fext[$c];
    foreach($full_ext as $key => $value)
	 {
	   $icon = "icon_$value";
	   $text = "text_$value";
	   $ext = "icon_${value}_ext";
      global $$icon, $$test, $$ext;
	   $ext_array = explode(",", $$ext);
      foreach($ext_array as $keye => $valuee)
	   {
	     if($valuee == $file_ext)
		  {
		    switch($$val_type)
		    {
		      case "icon" : return make_image($$icon, $$text);
			   case "file" : return $file[0];
			   case "icon_file" : return make_image($$icon, $$text).$file[0];
			   case "text" : return $$text;
		    }
		  }
	   }
      unset($ext_array);
	 }
	 switch($$val_type)
	 {
	   case "icon" : return make_image($icon_none, $text_none);
	   case "file" : return $file[0];
	   case "icon_file" : return make_image($icon_none, $text_none).$file[0];
	   case "text" : return $text_none;
	 }
  }
  return "";
}

function home_view($row, $val, $select="list")
{
  $val_type = "${select}_output_${val}_type";
  global $icon_home_user, $text_home_user, $$val_type;

  if($row[$val] != "")
  {
    switch($$val_type)
	 {
	   case "icon" : return make_image($icon_home_user, $text_home_user);
	   case "home" : return $row[$val];
	   case "icon+home" : return make_image($icon_home_user, $text_home_user).$row[$val];
	   case "text" :
	        if(!empty($text_home_user)) return $text_home_user;
           return make_image($icon_home_user, $text_home_user);
	 }
  }
  return "";
}

function home_image($row, $val)
{
  global $icon_home_user, $text_home_user;
  $return = "";
  if($row[$val] != "") $return = make_image($icon_home_user, $text_home_user);
  return $return;
}

function sex_view($row, $val, $select="list", $comment=false)
{
  if($comment) $val_type = "comment_${select}_output_sex_type";
  else $val_type = "${select}_output_sex_type";
  global $image_man, $text_man, $image_female, $text_female, $$val_type;

  if(empty($$val_type)) $$val_type = "image";
  if($row[$val] != "")
  {
    $image = $image_female;
	 $text = $text_female;
    if($row[$val] == "M")
	 {
	   $image = $image_man;
	   $text = $text_man;
	 }
	 switch($$val_type)
	 {
	   case "image" : return make_image($image, $text);
	   case "text" : return $text;
	   case "image_text" : return make_image($image, $text).$text;
	   case "text_image" : return $text.make_image($image, $text);
	 }
  }
  return "";
}

function email_view($row, $val, $select="list", $comment=false)
{
  if($comment) $val_type = "comment_${select}_output_emailad_type";
  else $val_type = "${select}_output_emailad_type";
  global $icon_email_user, $text_email_user, $$val_type;

  if($row[$val] != "")
  {
    switch($$val_type)
	 {
	   case "icon" : return make_image($icon_email_user, $text_email_user);
	   case "text" : return $text_email_user;
	   case "icon+email" : return make_image($icon_email_user, $text_email_user).$row[$val];
	   case "email" : return $row[$val];
	 }
  }
  return "";
}

function email_image($row, $val)
{
  global $icon_email_user, $text_email_user;
  $return = "";
  if($row[$val] != "") $return = make_image($icon_email_user, $text_email_user);
  return $return;
}

function checked_view($val, $comment=false)
{
  if($comment) $val_name = "comment_write_input_${val}_check";
  else $val_name = "write_input_${val}_check";  
  global $image_checked, $text_checked, $$val_name;

  $return = "";
  if($$val_name == "on")
  {
    if(!empty($image_checked)&!empty($text_checked)) $return = make_image($image_checked, $text_checked);
	 if(!empty($image_checked)&empty($text_checked)) $return = make_image($image_checked, "");
    if(empty($image_checked)&!empty($text_checked)) $return = $text_checked;
  }
  return $return;
}

function checked_mview($val)
{
  $val_name = "write_input_${val}_check";
  global $text_checked, $image_checked, $$val_name;
  $return = "";
  if($$val_name == "on")
  {
    if(!empty($image_checked)&!empty($text_checked)) $return = make_image($image_checked, $text_checked);
	 if(!empty($image_checked)&empty($text_checked)) $return = make_image($image_checked, "");
    if(empty($image_checked)&!empty($text_checked)) $return = $text_checked;
  }
  return $return;
}

function image_view($val, $select="write")
{
  $val_name = "${select}_output_${val}_image";
  global $$val_name;
  $return = "";
  if(!empty($$val_name))
  {
    $return = make_image($$val_name, "");
  }
  return $return;
}

function set_read_link($val, $page, $value, $number, $addurl)
{
  global $bid, $gid, $PHP_SELF, $window_new, $list_output_read_select, $home_url, 
         $spark_url, $user_url, $user_mode, $user_query, $sort, $desc;
  $url = $PHP_SELF;
  $win = "%s";
  $tmp_query = "";
  if(!empty($user_query)) $tmp_query = $user_query;
  if(!empty($user_mode))
  {
    if(!empty($user_url)) $url = $user_url;
  }
  if(!empty($list_output_read_select))
  {
    if($window_new == "new")
    {
      $win = "JavaScript:New${bid}('%s')";
      $url = "$home_url$spark_url/main.php";
    }
    if($val == $list_output_read_select)
    {
	   if(!empty($value)&&($value != "&nbsp;"))
	   {
        if(!empty($sort)) $addurl .= "&sort=".urlencode($sort);
        if(!empty($desc)) $addurl .= "&desc=".urlencode($desc);
        $link = "$url?mode=".urlencode("read")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&rp=".urlencode($page)."&no=".urlencode($number)."$addurl$tmp_query";
        $link = sprintf($win, $link);
	     if(get_access("read")) $value = "<a href=\"$link\">$value</a>";
	   }
    }
  }
  return $value;
}

function set_baby_link($val, $page, $value, $number)
{
  global $bid, $gid, $PHP_SELF, $list_baby_link, $list_baby_view, $window_new, 
         $home_url, $spark_url, $user_url, $user_query;

  if(!empty($list_baby_link))
  {
    if($list_baby_view == "list") $link = "mode=".urlencode($list_baby_view)."&lp=".urlencode("0");
    else $link = "mode=".urlencode("read")."&rp=".urlencode("$page");
    if(!get_access("read")) $link = "mode=".urlencode("list")."&lp=".urlencode("0");

    $tmp_query = "";
    if(!empty($user_query)) $tmp_query = $user_query;
    $url = $PHP_SELF;
	 $win = "%s";
    if(!empty($user_url)) $url = $user_url;
    if($window_new == "new")
    {
      $win = "JavaScript:New${bid}('%s')";
      $url = "$home_url$spark_url/main.php";
    }
	 if($val == $list_baby_link)
	 {
	   if(!empty($value)&($value != "&nbsp;"))
	   {
	     $link = "$url?${link}&bid=".urlencode($bid)."&gid=".urlencode($gid)."&no=".urlencode($number).$tmp_query;
        $link = sprintf($win, $link);
		  return "<a href=\"$link\">$value</a>";
	   }
    }
  }
  return $value;
}

function cut_text($key, $text)
{
  $val_size = "list_output_${key}_size";
  $val_text = "list_output_${key}_text";
  global $$val_size, $$val_text;

  $return = $text;
  if(!empty($$val_size))
  {
    if(strlen($text) > $$val_size)
    {
      $return = han_substr($text, $$val_size);
	   if(!empty($$val_text)) if($return != $text) $return .= $$val_text;
    }
  }
  return $return;
}

function cut_baby_text($text)
{
  global $list_baby_select_size, $list_baby_select_text;

  $return = $text;
  if(!empty($list_baby_select_size))
  {
    if(strlen($text) > $list_baby_select_size)
    {
      $return = han_substr($text, $list_baby_select_size);
	   if(!empty($list_baby_select_text)) if($return != $text) $return .= $list_baby_select_text;
    }
  }
  return $return;
}

function select_optionw($list, $value="")
{
  if(gettype($list) != "array") return(false);
  $option = "";
  foreach($list as $key => $valu)
  {
    $val = $key + 1;
	 $str = "";
	 if($val == $value) $str = " selected";
    $option .= "<option value=\"$val\"${str}>$valu</option>\n";
  }
  return($option);
}

function select_optionm($list, $value="")
{
  if(gettype($list) != "array") return(false);
  $option = "";
  foreach($list as $key => $valu)
  {
    $val = $key + 1;
	 $str = select_multi($val, $value);
    $option .= "<option value=\"$val\"${str}>$valu</option>\n";
  }
  return($option);
}
?>