<?
function setstyle($name, $value)
{
  $str = "";
  if(gettype($value) != "array") return $str;
  $cc = count($value);
  if(!empty($name)) $str = "$name{";
  foreach($value as $key => $val)
  {
    $str .= $val;
	 if((($cc - 1) > $key) || empty($name)) $str .= ";";
  }
  if(!empty($name)) $str .= "}\n";
  return $str;
}

function styleset()
{
  global $spark_root, $home_url, $spark_url, $page_bgimage, $page_bgimage_repeat, $page_bgimage_attachment,
         $page_basic_font_size, $page_bgcolor, $page_basic_font_color, $page_basic_font_type, $page_basic_font_type2,
         $page_basic_font_weight, $page_basic_font_style, $page_basic_font_decoration, $page_title_font_size,
         $page_title_font_color, $page_title_font_type, $page_title_font_type2, $page_title_font_weight, 
         $page_title_font_style, $page_title_font_decoration, $page_link_link, $page_link_visited,
         $page_line_visited_view, $page_link_active, $page_line_active_view, $page_link_hover, $page_line_hover_view,
         $comment_writetitle_align, $comment_writetitle_bgcolor, $comment_writetitle_color, $comment_writetitle_align,
         $comment_writetitle_fontsize, $comment_readtitle_align, $comment_readtitle_bgcolor, $comment_readtitle_color,
         $comment_readtitle_fontsize, $comment_readtitle_align, $mode;

  $css = "";
  if(!empty($page_bgimage))
  {
    $str[] = "background-image:url('$home_url$spark_url/$page_bgimage')";
    $str[] = "background-repeat:$page_bgimage_repeat";
	 $str[] = "background-attachment:$page_bgimage_attachment";
  }
  if(!empty($page_bgcolor)) $str[] = "background-color:$page_bgcolor";
  if(!empty($str))
  {
    $css .= setstyle("body", $str);
    unset($str);
  }
  if(!empty($page_basic_font_size)) $str[] = "font-size:$page_basic_font_size";
  if(!empty($page_basic_font_color)) $str[] = "color:$page_basic_font_color";
  if(!empty($page_basic_font_type))$str[] = "font-family:$page_basic_font_type,$page_basic_font_type2";  
  if(!empty($page_basic_font_weight)) $str[] = "font-weight:$page_basic_font_weight";
  if(!empty($page_basic_font_style)) $str[] = "font-style:$page_basic_font_style";
  if(!empty($page_basic_font_decoration)) $str[] = "text-decoration:$page_basic_font_decoration";
  if(!empty($str))
  {
    $css .= setstyle("body,tr,td,input,textarea,select", $str);
    unset($str);
  }
  if(!empty($page_title_font_size)) $str[] = "font-size:$page_title_font_size";
  if(!empty($page_title_font_color)) $str[] = "color:$page_title_font_color";
  if(!empty($page_title_font_type)) $str[] = "font-family:$page_title_font_type,$page_title_font_type2";
  if(!empty($page_title_font_weight)) $str[] = "font-weight:$page_title_font_weight";
  if(!empty($page_title_font_style)) $str[] = "font-style:$page_title_font_style";
  if(!empty($page_title_font_decoration)) $str[] = "text-decoration:$page_title_font_decoration";
  if(!empty($str))
  {
	 $str[] = "text-align: center";
    $css .= setstyle(".title1", $str);
    unset($str);
  }

  if(!empty($page_title_font_type)) $str[] = "font-family:$page_title_font_type,$page_title_font_type2";
  if(!empty($page_title_font_weight)) $str[] = "font-weight:$page_title_font_weight";
  if(!empty($comment_readtitle_bgcolor)) $str[] = "background-color:$comment_readtitle_bgcolor";
  if(!empty($comment_readtitle_color)) $str[] = "color:$comment_readtitle_color";
  if(!empty($comment_readtitle_fontsize)) $str[] = "font-size:$comment_readtitle_fontsize";
  if(!empty($comment_readtitle_align)) $str[] = "text-align:$comment_readtitle_align";
  if(!empty($str))
  {
    $css .= setstyle(".title2", $str);
    unset($str);
  }

  if(!empty($page_title_font_type)) $str[] = "font-family:$page_title_font_type,$page_title_font_type2";
  if(!empty($page_title_font_weight)) $str[] = "font-weight:$page_title_font_weight";
  if(!empty($comment_writetitle_bgcolor)) $str[] = "background-color:$comment_writetitle_bgcolor";
  if(!empty($comment_writetitle_color)) $str[] = "color:$comment_writetitle_color";
  if(!empty($comment_writetitle_fontsize)) $str[] = "font-size:$comment_writetitle_fontsize";
  if(!empty($comment_writetitle_align)) $str[] = "text-align:$comment_writetitle_align";
  if(!empty($str))
  {
    $css .= setstyle(".title3", $str);
    unset($str);
  }

  if(!empty($page_link_link)) $str[] = "color:$page_link_link";
  if($page_line_link_view == "on") $str[] = "text-decoration:underline";
  else $str[] = "text-decoration:none";
  if(!empty($str))
  {
    $css .= setstyle("A:link", $str);
    unset($str);
  }
  if(!empty($page_link_visited)) $str[] = "color:$page_link_visited";
  if($page_line_visited_view == "on") $str[] = "text-decoration:underline";
  else $str[] = "text-decoration:none";
  if(!empty($str))
  {  
    $css .= setstyle("A:visited", $str);
    unset($str);
  }
  if(!empty($page_link_active)) $str[] = "color:$page_link_active";
  if($page_line_active_view == "on") $str[] = "text-decoration:underline";
  else $str[] = "text-decoration:none";
  if(!empty($str))
  {  
    $css .= setstyle("A:active", $str);
    unset($str);
  }
  if(!empty($page_link_hover)) $str[] = "color:$page_link_hover";
  if($page_line_hover_view == "on") $str[] = "text-decoration:underline";
  else $str[] = "text-decoration:none";
  if(!empty($str))
  {  
    $css .= setstyle("A:hover", $str);
    unset($str);
  }

  if(($mode == "list")||($mode == "read"))
  {
    $str[] = "text-decoration:none";
    $css .= setstyle(".subsort A:hover", $str);
    $css .= setstyle(".subsort A:active", $str);
    $css .= setstyle(".subsort A:visited", $str);
    $css .= setstyle(".subsort A:link", $str);
    unset($str);
  }
  return $css;
}

function styleattrib()
{
  global $page_table_line, $page_table_line_color, $page_table_line_width, $page_table_color,
         $page_table_bgcolor, $page_textbox_line, $page_textbox_line_color, $page_textbox_line_width,
         $page_textbox_line_color, $page_textbox_line_width, $page_button_line, $page_button_line_color,
         $page_button_line_width, $page_button_color, $page_button_bgcolor, $SPARK_STYLE;
  
  if(!empty($page_table_line)) $str[] = "border-style:$page_table_line";
  if(!empty($page_table_line_color)) $str[] = "border-color:$page_table_line_color";
  if(!empty($page_table_line_width)) $str[] = "border-width:$page_table_line_width";
  if(!empty($page_table_color)) $str[] = "color:$page_table_color";
  if(!empty($page_table_bgcolor)) $str[] = "background-color:$page_table_bgcolor";
  if(!empty($str))
  {
    $style["table"] = setstyle("", $str);
    unset($str);
  }
  if(!$SPARK_STYLE) return $style;
  if(!empty($page_textbox_line_color)) $str[] = "border-color:$page_textbox_line_color";
  if(!empty($page_textbox_line)) $str[] = "border-style:$page_textbox_line";
  if(!empty($page_textbox_line_width)) $str[] = "border-width:$page_textbox_line_width";
  if(!empty($str))
  {
    $style["text"] = setstyle("", $str);
  }
  if(!empty($page_textbox_line_color))
  {
    $str[] = "scrollbar-face-color:$page_textbox_line_color";
    $str[] = "scrollbar-highlight-color:$page_textbox_line_color";
    $str[] = "scrollbar-track-color:$page_textbox_line_color";
    $str[] = "scrollbar-darkshadow-color:$page_textbox_line_color";
    $str[] = "scrollbar-shadow-color:white";
    $str[] = "scrollbar-3dlight-color:white";
    $str[] = "scrollbar-arrow-color:white";
    $style["textarea"] = setstyle("", $str);
    unset($str);
  }
  if(!empty($page_button_line)) $str[] = "border-style:$page_button_line";
  if(!empty($page_button_line_color)) $str[] = "border-color:$page_button_line_color";
  if(!empty($page_button_line_width)) $str[] = "border-width:$page_button_line_width";
  if(!empty($page_button_color)) $str[] = "color:$page_button_color";
  if(!empty($page_button_bgcolor)) $str[] = "background-color:$page_button_bgcolor";
  if(!empty($str))
  {
    $style["button"] = setstyle("", $str);
    unset($str);
  }
  return $style;
}

function banner_top($gid, $bid = "")
{
  global $banner_top_html, $banner_top_link, $banner_top_image, $user_mode;

  $output = "";
  if(!empty($banner_top_html))
  {
    $banner_top_html = chop($banner_top_html); 
    $output = "$banner_top_html<br><br>\n";
  }
  if(!empty($banner_top_image))
  {
    $link = "%s";
	 $image = "";
    if(!empty($banner_top_link)) $link = "<a target=\"_blank\" href=\"$banner_top_link\">%s</a><br>\n";
    $image = make_image($banner_top_image, "");
	 $output = "<div align=\"center\">".sprintf($link, $image)."</div><br><br>\n";  
  }
  if(empty($user_mode)) echo($output);
}

function banner_bottom($gid, $bid = "")
{
  global $banner_bottom_image, $banner_bottom_link, $banner_bottom_html, $user_mode;
 
  $output = "";
  if(!empty($banner_bottom_image))
  {
    $link = "%s";
    $image = "";  
    if(!empty($banner_bottom_link)) $link = "<a target=\"_blank\" href=\"$banner_bottom_link\">%s</a>";
    $image = make_image($banner_bottom_image, "");
    $output = "<br><div align=\"center\">".sprintf($link, $image)."</div><br>\n";
  }
  if(!empty($banner_bottom_html))
  {
    $banner_bottom_html = chop($banner_bottom_html);
    $output = "<br>$banner_bottom_html\n";
  }
  if(empty($user_mode)) echo($output);
}

function titleset($gid, $bid = "")
{
  global $page_title_image, $page_title_text, $page_title_bgcolor, $page_title_font_color, $SPARK_STYLE;
  $output = "";
  if(!empty($page_title_image)) $output = "<br><div align=\"center\">\n".make_image($page_title_image, "")."</div><br>\n";
  elseif(!empty($page_title_text))
  {
	 $bgcolor = "";
    if(!empty($page_title_bgcolor)) $bgcolor = " bgcolor=\"$page_title_bgcolor\"";
    $output = "<br><table align=\"center\" cellspacing=\"5\" width=\"450\" height=\"50\"$bgcolor ".
              "style=\"border-style:solid;border-width:1px 1px 1px 1px;border-color:black\">\n".
              "<tr><td align=\"center\" class=\"title1\">".
              "<font size=\"5\">$page_title_text</font></td></tr></table><br>\n";
  }
  echo($output);
}

function membertitleset($rewrite = "")
{
  global $mgid, $page_rtitle_image, $page_rtitle_text, $page_rtitle_bgcolor, $page_title_image,
         $page_title_text, $page_title_bgcolor;
  $title_image = $page_rtitle_image;
  $title_text = $page_rtitle_text;
  $title_bgcolor = $page_rtitle_bgcolor;
  if(empty($rewrite))
  {
    $title_image = $page_title_image;
    $title_text = $page_title_text;
    $title_bgcolor = $page_title_bgcolor;
  }
  if(!empty($title_image)) $output = "<br><div align=\"center\">\n".make_image($title_image, "")."</div><br>\n";
  elseif(!empty($title_text))
  {
	 $bgcolor = "";
    if(!empty($title_bgcolor)) $bgcolor = " bgcolor=\"$title_bgcolor\"";
    $output = "<br><table align=\"center\" cellspacing=\"5\" width=\"450\" height=\"50\"$bgcolor ".
              "style=\"border-style:solid;border-width:1px 1px 1px 1px;border-color:black\">\n".
              "<tr><td align=\"center\" class=\"title1\">".
              "<font size=\"5\">$title_text</font></td></tr></table><br>\n";
  }
  echo($output);
}
?>