<?
function read_dir($path)
{   
  $dir = opendir($path);
  while($file = readdir($dir))
  {
    if(is_dir("$path/$file") && !ereg("^[_]", $file) && !ereg("^[\.]", $file))
	 {
	   $list[] = $file;
  	 }
  }
  closedir($dir);
  if(!empty($list)) asort($list);
  return $list;
}

function isvalue($value)
{
  if(isset($value)&&($value != "")) return $value;
  return "clear";
}

function read_groups()
{
  $groups_temp = read_dir("../groups");  
  if(gettype($groups_temp) == "array")
  {
	 while(list($key, $value) = each($groups_temp))
	 {
	   include("../groups/$value/group.php");
	   $groups[$value] = $group_name;
	 }
  }
  return $groups;
}

function read_maingroups()
{
  $groups_temp = read_dir("../groups");  
  if(gettype($groups_temp) == "array")
  {
	 while(list($key, $value) = each($groups_temp))
	 {
	   include("../groups/$value/group.php");
      if($group_support == "none") $groups[$value] = $group_name;
	 }	
  }
  return $groups;
}

function select_groupoption($list, $value)
{
  if(gettype($list) != "array") return(false);
  global $action_name, $main_select;
  $option = "";
  while(list($key, $val) = each($list))
  {
    if($value == $key) $selected = " selected";
	 else $selected = "";
	  
    $option .= "<option value=\"$key\"$selected>$val</option>\n";
  }
  return($option);
}

function select_group($gid)
{
  $groups_array = read_groups();
  echo("<div align=\"center\"><table border cellpadding=\"0\" cellspacing=\"0\">\n".
     "<table border width=\"820\" cellpadding=\"0\" cellspacing=\"0\">\n".
     "<tr><td bgcolor=\"black\">\n".
     "<center><table border cellpadding=\"0\" cellspacing=\"0\">\n".
     "<tr>\n".
     "<td width=\"400\" height=\"30\" align=\"center\" bgcolor=\"white\" bordercolordark=\"white\" bordercolorlight=\"gray\">\n".
     "<font color=\"blue\"><b>׷ </b></font>\n".
	  "</td></tr>\n".
	  "<tr>\n".
     "<td width=\"400\" height=\"30\" align=\"center\" bgcolor=\"white\" bordercolordark=\"white\" bordercolorlight=\"gray\">\n".
     "<font size=\"2\"><select name=\"gid\" onChange=\"jumpPage2(this.form.gid)\">\n".select_groupoption($groups_array, $gid)."</select></font></td>\n".
	  "</tr></table></center>\n".
     "</td></tr>\n".
	  "</table></div><br>\n");
}

function delete_database($include)
{
  include($include);
  if(!empty($db_name))
  {
    $sql = new db_sql($db_host, $db_id, $db_passwd);
    $sql->select_db($db_name);
  }
  else
  {
    $sql = new db_sql($mdb_host, $mdb_id, $mdb_passwd);
    $sql->select_db($mdb_name);
  }
  $sql->delete_table($table_name);
  if(!empty($comment_table)) $sql->delete_table("${table_name}_comment");
  $sql->close();
}

function delete_allfile($filename)
{
  if(is_dir($filename))
  {
    $path = $filename;
    $dir = opendir($path);
    while($file = readdir($dir))
    {
	   if($file == "table.php") delete_database("$path/$file");
	   if(!ereg("^[\.]", $file)) delete_allfile("$path/$file");
	 }
	 closedir($dir);
    @rmdir($path);
  }
  else @unlink($filename);
}

function read_board_list($gid)
{
  $boards_temp = read_dir("../groups/$gid/boards");
  if(gettype($boards_temp) == "array")
  {
	 while(list($key, $value) = each($boards_temp))
	 {
      include("../groups/$gid/boards/$value/general.php");
	   $boards[$value] = $general_board_kor;
    }
  }
  if(empty($boards)) $boards = "";
  return $boards;
}

function read_board_theme()
{ 
  global $board_type;

  $temp_themes = read_dir("../themes/board");
  foreach($temp_themes as $theme_name_value)
  {
    $table[] = "";
	 include("../themes/board/${theme_name_value}/theme_main.php");
    
    if(($Theme_Type == "all")||($Theme_Type == $board_type)) $return_themes[$theme_name_value] = $theme_name_value;
  }
  return $return_themes;
}

function read_member_theme()
{   
  $temp_themes = read_dir("../themes/member");
  foreach($temp_themes as $theme_name_value)
  {
	 $return_themes[$theme_name_value] = $theme_name_value;
  }
  return $return_themes;
}

function check($check_value)
{
  return($check_value == true ? " checked" : "");
}

function selected($select, $value)
{
  return($select == $value ? " selected" : "");
}

function check_field($field)
{  
   global $table, $field_name;
  foreach($table as $key => $value)
  {
    if($field == $value) return true;
  }
  return false;
}

function field_name_user($key)
{
   global $field_name;
   $field = $field_name[$key];
   if(strlen($field) > 20)
   {
     $field = han_substr($field, 20);
   }
   return $field;
}

function comment_field_name_user($key)
{
   global $comment_field;
   $field = $comment_field[$key];
   if(strlen($field) > 20)
   {
     $field = han_substr($field, 20);
   }
   return $field;
}

function select_link($select)
{
  global $table, $field_name;
  $return = "";
  foreach($table as $key => $value)
  {
    if(($value != "homead")&($value != "emailad")&($value != "ipad")&($value != "checkview"))
	 {
      $str = selected($key, $select);
      $return .= "<option value=\"$key\" $str>".field_name_user($key)."</option>\n";
	 }
  }
  return $return;
}

function select_fields($select)
{
  global $table, $field_name;
  $return = "";
  foreach($table as $key => $value)
  {
    $str = selected($key, $select);
    if($value != "checkview") $return .= "<option value=\"$key\" $str>".field_name_user($key)."</option>\n"; 
  }
  return $return;
}

function fid_check($fid)
{
  $fid = strtolower($fid);
  if(ereg("[^[:alnum:]]", $fid)) msg_box(" Ī ȣ    ϴ.");

  $array = array("int", "unsigned", "tiny", "char", "and", "or", "where", "create", "abs", "tan", 
	             "select", "var", "update", "integer", "default", "text", "double", "table", "cos",
	             "date", "time", "year", "blob", "float", "double", "drop", "set", "gid", "bid",
	             "min", "write", "list", "max", "sin", "real", "numeric", "enum", "long", "login",
                "read", "comment", "icon", "page", "field", "user");

  while(list($key, $value) = each($array))
  {
    if($fid == $value) msg_box(" Ī ̹  Ī    ϴ.");
  }
}

function field_name_member($key)
{
  global $gid;
  include("../groups/$gid/member/table.php");
  $field = $field_name[$key];
  if(strlen($field) > 20)
  {
    $field = han_substr($field, 20);
  }
  return $field;
}
?>