<?
//Graphics Function Array
//ۼ : 豤

// HSV RGB ȯϿ HTML  ȯ
function hsv2rgb($h, $s, $v)
{
  $v1 = $v * 2.55;
  if($s == 0)
  {
    $r = $g = $b = $v1;
	 $str = sprintf("#%02X%02X%02X", $r, $g, $b);
	 return $str;
  }
  $h2 = $h%32;
  $h2 = abs(16-$h2);
  $aa = $v1;
  $bb = ($v1 * (100-$s))/100;
  $cc = ($h2 * ($aa - $bb))/16+$bb;
  if( 0 <= $h && $h < 16){ $r = $aa;  $g = $bb; $b = $cc;}
  if( 16 <= $h && $h < 32){$r = $aa;  $g = $cc; $b = $bb;}
  if( 32 <= $h && $h < 48){$r = $cc;  $g = $aa; $b = $bb;}
  if( 48 <= $h && $h < 64){$r = $bb;  $g = $aa; $b = $cc;}
  if( 64 <= $h && $h < 80){$r = $bb;  $g = $cc; $b = $aa;}
  if( 80 <= $h && $h <= 100){$r = $cc; $g = $bb; $b = $aa;}
  $str = sprintf("#%02X%02X%02X", $r, $g, $b);
  return $str;
}

function color2_gradient($color1, $color2, $line)
{
  $sr = substr($color1, 1, 2);
  $sg = substr($color1, 3, 2);
  $sb = substr($color1, 5, 2);
  $sr1 = substr($color2, 1, 2);
  $sg1 = substr($color2, 3, 2);
  $sb1 = substr($color2, 5, 2);
  $r = base_convert($sr, 16, 10);
  $g = base_convert($sg, 16, 10);
  $b = base_convert($sb, 16, 10);
  $r1 = base_convert($sr1, 16, 10);
  $g1 = base_convert($sg1, 16, 10);
  $b1 = base_convert($sb1, 16, 10);
  $mr = max($r, $r1);
  $mg = max($g, $g1);
  $mb = max($b, $b1);
  $nr = min($r, $r1);
  $ng = min($g, $g1);
  $nb = min($b, $b1);
  $dr = $mr - $nr;
  $dg = $mg - $ng;
  $db = $mb - $nb;
  @$sr = $dr / $line;
  @$sg = $dg / $line;
  @$sb = $db / $line;
  $rr = $r; $rg = $g; $rb = $b;
  for($i = 0; $i < $line; $i++)
  {
	 $color[] = sprintf("#%02X%02X%02X", $rr, $rg, $rb);
	 $rr = ($mr == $r?($rr-$sr):($rr+$sr));
    $rg = ($mg == $g?($rg-$sg):($rg+$sg));
    $rb = ($mb == $b?($rb-$sb):($rb+$sb));
  }
  return $color;
}

function color3_gradient($color1, $color2, $color3, $line)
{
  $dline = $line/2;
  $colors = color2_gradient($color1, $color2, $dline);
  $colors1 = color2_gradient($color2, $color3, $dline);
  while(list($key, $value) = each($colors1))
  {
    $colors[] = $value;
  }
  return $colors;
}

function color2_repeat($color1, $color2, $line)
{
  $dline = $line / 2;
  for($i = 0; $i < $dline; $i++)
  {
    $colors[] = $color1;
    $colors[] = $color2;
  }
  if(empty($colors))
  {
    for($i = 0; $i < $line; $i++)
    {
      $colors[] = "";
    }    
  }

  return $colors;
}

function color3_repeat($color1, $color2, $color3, $line)
{
  $dline = $line / 3;
  for($i = 0; $i < $dline; $i++)
  {
    $colors[] = $color1;
    $colors[] = $color2;
	 $colors[] = $color3;
  }
  if(empty($colors))
  {
    for($i = 0; $i < $line; $i++)
    {
      $colors[] = "";
    }    
  }
  return $colors;
}

function set_bggradient()
{
  global $list_output_line_count, $list_output_gradient_background, $list_output_gradient_bgcolor1, 
         $list_output_gradient_bgcolor2, $list_output_gradient_bgcolor3;

  $linecount = $list_output_line_count;
  switch($list_output_gradient_background)
  {
    case "gradient2" :
	      if(empty($list_output_gradient_bgcolor1)||($list_output_gradient_bgcolor1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_bgcolor2)||($list_output_gradient_bgcolor2 == "clear")) die(" ϼ.");
         $return = color2_gradient($list_output_gradient_bgcolor1, $list_output_gradient_bgcolor2, $linecount);
         break;
	 case "gradient3" :
	      if(empty($list_output_gradient_bgcolor1)||($list_output_gradient_bgcolor1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_bgcolor2)||($list_output_gradient_bgcolor2 == "clear")) die(" ϼ.");
		   if(empty($list_output_gradient_bgcolor3)||($list_output_gradient_bgcolor3 == "clear")) die(" ϼ.");
         $return = color3_gradient($list_output_gradient_bgcolor1, $list_output_gradient_bgcolor2, $list_output_gradient_bgcolor3, $linecount);
         break;
	 case "repeat2" :
	      if(empty($list_output_gradient_bgcolor1)||($list_output_gradient_bgcolor1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_bgcolor2)||($list_output_gradient_bgcolor2 == "clear")) die(" ϼ.");
         $return = color2_repeat($list_output_gradient_bgcolor1, $list_output_gradient_bgcolor2, $linecount);
         break;
	 case "repeat3" :
	      if(empty($list_output_gradient_bgcolor1)||($list_output_gradient_bgcolor1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_bgcolor2)||($list_output_gradient_bgcolor2 == "clear")) die(" ϼ.");
		   if(empty($list_output_gradient_bgcolor3)||($list_output_gradient_bgcolor3 == "clear")) die(" ϼ.");
         $return = color3_repeat($list_output_gradient_bgcolor1, $list_output_gradient_bgcolor2, $list_output_gradient_bgcolor3, $linecount);
         break;
    default : 
         for($i = 0; $i < $linecount; $i++)
         {
           $return[] = "";
         }
         break;
  }
  if(!empty($return[0]))
  {
    foreach($return as $key => $value)
    {
      if($value != "") $return[$key] = " bgcolor=\"$value\"";
    }
  }
  return $return;
}

function set_fggradient()
{
  global $list_output_line_count, $list_output_gradient_text, $list_output_gradient_color1,
         $list_output_gradient_color2, $list_output_gradient_color3;
  $linecount = $list_output_line_count;
  switch($list_output_gradient_text)
  {
    case "gradient2" :
	      if(empty($list_output_gradient_color1)||($list_output_gradient_color1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_color2)||($list_output_gradient_color2 == "clear")) die(" ϼ.");
         $return = color2_gradient($list_output_gradient_color1, $list_output_gradient_color2, $linecount);
         break;
	 case "gradient3" :
	      if(empty($list_output_gradient_color1)||($list_output_gradient_color1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_color2)||($list_output_gradient_color2 == "clear")) die(" ϼ.");
		   if(empty($list_output_gradient_color3)||($list_output_gradient_color3 == "clear")) die(" ϼ.");
         $return = color3_gradient($list_output_gradient_color1, $list_output_gradient_color2, $list_output_gradient_color3, $linecount);
         break;
	 case "repeat2" :
	      if(empty($list_output_gradient_color1)||($list_output_gradient_color1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_color2)||($list_output_gradient_color2 == "clear")) die(" ϼ.");
         $return = color2_repeat($list_output_gradient_color1, $list_output_gradient_color2, $linecount);
         break;
	 case "repeat3" :
	      if(empty($list_output_gradient_color1)||($list_output_gradient_color1 == "clear")) die(" ϼ.");
         if(empty($list_output_gradient_color2)||($list_output_gradient_color2 == "clear")) die(" ϼ.");
		   if(empty($list_output_gradient_color3)||($list_output_gradient_color3 == "clear")) die(" ϼ.");
         $return = color3_repeat($list_output_gradient_color1, $list_output_gradient_color2, $list_output_gradient_color3, $linecount);
         break;
    default : 
         for($i = 0; $i < $linecount; $i++)
         {
           $return[] = "";
         }
         break;
  }
  if(!empty($return[0]))
  {
    foreach($return as $key => $value)
    {
      if($value != "") $return[$key] = "<font color=\"$value\">%s</font>";
    }
  }
  return $return;
}
?>