<?
function read_getpages($sql, $search, $where, $maxpage, $page, $count, $no)
{
  global $table_name, $gid, $spark_root, $board_type;
  if($board_type == "board")
  {
    if($no < $count)
	 {
	   $nextno = $no + 1;
      $query = "select nid from $table_name".search2sql($search, $where)." order by sortgroup limit $nextno, 1";
      $result = $sql->query($query);
      $next = $sql->result($result, 0, "nid");
      $sql->free_result($result);
	   if($next)
	   {
	     $pages["next"]["no"]= $nextno;
		  $pages["next"]["nid"]= $next;
	   }
    }
	 if($no > 0)
	 {
	   $prevno = $no - 1;
      $query = "select nid from $table_name".search2sql($search, $where)." order by sortgroup limit $prevno, 1";
      $result = $sql->query($query);
      $prev = $sql->result($result, 0, "nid");
      $sql->free_result($result);
	   if($prev)
	   {
	     $pages["prev"]["no"]= $prevno;
		  $pages["prev"]["nid"]= $prev;	    
	   }
	 }
  }
  else
  {
    if($page <= $maxpage)
	 {
      $query = "select max(nid) as nid from $table_name where nid < $page".search2sql($search, $where, 0);
      $result = $sql->query($query);
      $next = $sql->result($result, 0, "nid");
      $sql->free_result($result);
      if($next) $pages["next"]["nid"] = $next;
	 }
    if($page > 1)
	 {
      $query = "select min(nid) as nid from $table_name where nid > $page".search2sql($search, $where, 0);
      $result = $sql->query($query);
      $prev = $sql->result($result, 0, "nid");
      $sql->free_result($result);
	   if($prev) $pages["prev"]["nid"] = $prev;
	 }
  }
  if(empty($pages["next"]["nid"])) $pages["next"]["nid"] = 0;
  if(empty($pages["prev"]["nid"])) $pages["prev"]["nid"] = 0;
  return $pages;
}

function read_icon_link($search, $where, $pages, $count, $page, $addurl)
{
  global $bid, $gid, $home_url, $spark_url, $spark_root, $PHP_SELF, $list_output_line_count;
  if(!empty($pages["next"]["nid"]))
  {
    $add = "";
	 if(isset($pages["next"]["no"]))
	 {
	   $no = $count - $pages["next"]["no"];
	   if($no > 0) $num = $pages["next"]["no"] - 1;
	   else $num = $pages["next"]["no"];
	   $add = "&no=".urlencode($no);
	 }
    $value["next"] = "$PHP_SELF?mode=".urlencode("read")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&rp=".urlencode($pages["next"]["nid"]).$add.$addurl;
  }
  else $value["next"] = "";
  if(!empty($pages["prev"]["nid"]))
  {
    $add = "";
	 if(isset($pages["prev"]["no"]))
	 {
	   $num = $pages["prev"]["no"] + 1;
	   $no = $count - $pages["prev"]["no"];
	   $add = "&no=".urlencode($no);
	 }
	 $value["prev"] = "$PHP_SELF?mode=".urlencode("read")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&rp=".urlencode($pages["prev"]["nid"]).$add.$addurl;
  }
  else $value["prev"] = "";
  $add = "";
  if(empty($num)) $num = 0;
  $no = $count - $num;
  if($num > 0) $add = "&no=".urlencode($no);
  if(get_access("write")) $value["rewrite"] = "$PHP_SELF?mode=".urlencode("rewrite")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&write=".urlencode($page).$add.$addurl;
  if(get_access("write")) $value["reply"] = "$PHP_SELF?mode=".urlencode("write")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&reply=".urlencode($page).$add.$addurl;
  if(get_access("delete")) $value["delete"] = "$PHP_SELF?mode=".urlencode("delete")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&delete=".urlencode($page).$add.$addurl;
  $add = "";
  if(!empty($num))
  {
    if($num > $list_output_line_count)
    {
      $num = intval($num/$list_output_line_count);
      if($num % $list_output_line_count) $num += 1;
    }
    else $num = 1;
    $add .= "&lp=".urlencode($num);
  }
  if(!empty($search)) $add .= search2url($search, $where);
  $value["list"] = "$PHP_SELF?mode=".urlencode("list")."&bid=".urlencode($bid)."&gid=".urlencode($gid).$add;
  return $value;
}

function get_maxpage($sql)
{
  global $bid;
  $result = $sql->query("select max(nid) as nid from $bid");
  $return = $sql->result($result, 0, "nid");
  $sql->free_result($result);
  return $return;
}

function setread_table()
{
  global $bid, $gid, $spark_root, $read_output_table_color, $read_output_table_colorlight,
         $read_output_table_colordark, $read_output_table_width, $read_output_table_cellpadding,
         $read_output_table_weight, $read_output_table_cellspacing;
  $attrib = "";
  if(!empty($read_output_table_color)) $attrib .= " bordercolor=\"$read_output_table_color\"";
  if(!empty($read_output_table_colorlight)) $attrib .= " bordercolorlight=\"$read_output_table_colorlight\"";
  if(!empty($read_output_table_colordark)) $attrib .= " bordercolordark=\"$read_output_table_colordark\"";
  if(isset($read_output_table_width)&&($read_output_table_width != "")) $attrib .= " width=\"$read_output_table_width\"";
  if(isset($read_output_table_cellpadding)&&($read_output_table_cellpadding != "")) $attrib .= " cellpadding=\"$read_output_table_cellpadding\"";
  if(isset($read_output_table_cellspacing)&&($read_output_table_cellspacing != "")) $attrib .= " cellspacing=\"$read_output_table_cellspacing\"";
  if(isset($read_output_table_weight)&&($read_output_table_weight != "")) $attrib .= " border=\"$read_output_table_weight\"";
  return $attrib;
}

function setread_cell()
{
  global $bid, $gid, $spark_root, $read_output_cell_colordark, 
         $read_output_cell_colorlight, $read_output_cell_height;
  $attrib = " valign=\"middle\"";
  if(!empty($read_output_cell_colordark)) $attrib .= " bordercolordark=\"$read_output_cell_colordark\"";
  if(!empty($read_output_cell_colorlight)) $attrib .= " bordercolorlight=\"$read_output_cell_colorlight\"";
  if(!empty($read_output_cell_height)) $attrib .= " height=\"$read_output_cell_height\"";  
  return $attrib;
}

function setmfview($row, $subview = false)
{
  global $bid, $gid, $table, $ufile_save, $spark_root, $spark_url, $home_url,
         $read_output_table_width, $read_output_table_width, $read_output_cell_datawidth;
  $return = "";
  $width = 592;
  if(!empty($read_output_table_width)) $width = $read_output_table_width - 10;
  if($subview)
  {
    if(!empty($read_output_table_width)) $width = $read_output_table_width - 100;
    if(!empty($read_output_cell_datawidth)) $width = $read_output_cell_datawidth - 10;
  }
  if($ufile_save)
  {
    foreach($table as $key => $value)
	 {
	   if(($value == "ufile")|($value == "files")|($value == "imgfile"))
	   {
        $val_mfiles = "read_output_${key}_mfiles";
	     $val_mfinfo = "read_output_${key}_mfinfo";
	     $val_mfcolor = "read_output_${key}_mfcolor";
        $val_mfbgcolor = "read_output_${key}_mfbgcolor";
        global $$val_mfiles, $$val_mfinfo, $$val_mfcolor, $$val_mfbgcolor;
	     if(!empty($row[$key])&!empty($$val_mfiles))
		  {
          $temp_name = explode("|", $row[$key]);
		    $temp_name2 = explode(".", $temp_name[0]);
		    $temp_mfiles = explode(",", $$val_mfiles);
          $tnc = count($temp_name2);
          $ufile_name = "groups/$gid/boards/$bid/upfiles/${temp_name[1]}/${temp_name[0]}";
          
          $fexten = "";
          foreach($temp_mfiles as $key1 => $value1)
		    {
			   if($value1 == $temp_name2[$tnc - 1])
			   {
			     $fexten = $value1;
			     break;
			   }
		    }
		    switch($fexten)
		    {
		      case "gif" :
			   case "jpg" :
			   case "jpeg" :
			   case "png" :
			        $img_size = getimagesize("$spark_root/$ufile_name");
				     $imgsize[0] = $img_size[0];
				     $imgsize[1] = $img_size[1];
				     if($width < $img_size[0])
			        {
				       $val = $img_size[0]/$width;
				       $imgsize[0] = $width;
				       $imgsize[1] = intval($img_size[1]/$val);
				     }
				     $fnum = $row["nid"];
				     if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";
				     $return .= "<a href=\"JavaScript:MfWindow('$home_url$spark_url/main.php?mode=".urlencode("view")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&view=".urlencode($fnum)."&field=".urlencode($key)."&choice=".urlencode("read")."', 'yes')\">".
				                "<img src=\"$home_url$spark_url/$ufile_name\" width=\"${imgsize[0]}\" height=\"${imgsize[1]}\" border=\"0\"></a>\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
			        break;
			   case "asf" :
			   case "asx" :
			   case "avi" :
			   case "dat" :
			   case "mpg" :
			   case "mpeg" :
			   case "wmv" :
                 if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";   
                 $return .= "<object id=\"MediaPlayer1\" classid=\"clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95\" codebase=\"http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701\" standby=\"Loading Microsoft Windows Media Player components...\" type=\"application/x-oleobject\" width=\"300\" height=\"300\">\n".
                            "<param name=\"AllowChangeDisplaySize\" value=\"true\">\n".
                            "<param name=\"AutoRewind\" value=\"false\">\n".
                            "<param name=\"AutoStart\" value=\"true\">\n".
                            "<param name=\"BufferingTime\" value=\"5\">\n".
                            "<param name=\"ClickToPlay\" value=\"true\">\n".
                            "<param name=\"DisplayMode\" value=\"0\">\n".
                            "<param name=\"DisplaySize\" value=\"4\">\n".
                            "<param name=\"Enabled\" value=\"true\">\n".
                            "<param name=\"ShowDisplay\" value=\"false\">\n".
                            "<param name=\"ShowStatusBar\" value=\"true\">\n".
                            "<param name=\"VideoBorderWidth\" value=\"0\">\n".
                            "<param name=\"Filename\" value=\"$home_url$spark_url/$ufile_name\">\n".
                            "<embed type=\"application/x-oleobject\" name=\"MediaPlayer1\" src=\"$home_url$spark_url/$ufile_name\" width=\"300\" height=\"300\" align=\"center\" autostart=\"true\">\n".
                            "</object>\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
			        break;
			   case "mid" :
			   case "mp3" :
			   case "wav" :
			   case "wma" :
			        if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";
                 $return .= "<object id=\"MediaPlayer1\" classid=\"clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95\" width=\"300\" height=\"100\">\n".
                            "<param name=\"AllowChangeDisplaySize\" value=\"true\">\n".
                            "<param name=\"AutoRewind\" value=\"false\">\n".
                            "<param name=\"AutoSize\" value=\"true\">\n".
                            "<param name=\"AutoStart\" value=\"true\">\n".
                            "<param name=\"BufferingTime\" value=\"5\">\n".
                            "<param name=\"ClickToPlay\" value=\"true\">\n".
                            "<param name=\"DisplayMode\" value=\"0\">\n".
                            "<param name=\"DisplaySize\" value=\"0\">\n".
                            "<param name=\"Enabled\" value=\"true\">\n".
                            "<param name=\"ShowDisplay\" value=\"false\">\n".
                            "<param name=\"ShowStatusBar\" value=\"true\">\n".
                            "<param name=\"VideoBorderWidth\" value=\"0\">\n".
                            "<param name=\"Filename\" value=\"$home_url$spark_url/$ufile_name\">\n".
                            "<embed type=\"application/x-oleobject\" name=\"MediaPlayer1\" src=\"$home_url$spark_url/$ufile_name\" width=\"300\" height=\"100\" align=\"center\" autostart=\"true\">\n".
                            "</object>\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
			        break;
		      case "ram" :
            case "ra" :
		      case "rm" :
			        if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";
		           $return .= "<object id=video1 classid=\"clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA\" width=\"300\" height=\"200\">\n".
                            "<param name=\"controls\" value=\"ImageWindow\">\n".
                            "<param name=\"console\" value=\"Clip1\">\n".
                            "<param name=\"AUTOSTART\" value=\"true\">\n".
                            "<param name=\"src\" value=\"$home_url$spark_url/$ufile_name\">\n".
                            "<embed src=\"$home_url$spark_url/$ufile_name\" type=\"audio/x-pn-realaudio-plugin\" console=\"Clip1\" controls=\"ImageWindow\" width=\"300\" height=\"200\" autostart=\"true\">\n".
                            "</object><br>\n".
                            "<object id=video1 classid=\"clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA\" width=\"300\" height=\"80\">\n".
                            "<param name=\"controls\" value=\"all\">\n".
                            "<param name=\"console\" value=\"Clip1\">\n".
                            "<embed type=\"audio/x-pn-realaudio-plugin\" console=\"Clip1\" controls=\"all\" width=\"300\" height=\"80\">\n".
                            "</object>\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
			        break;
			   case "swf" :
			        if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";
				     $return .= "<embed src=\"$home_url$spark_url/$ufile_name\" width=\"$width\" height=\"$width\" align=\"center\" autostart=\"true\">\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
			        break;
			   case "mov" :
			        if(!empty($$val_mfinfo)) $return .= "<br>${$val_mfinfo}<br>\n";
				     $return .= "<object classid=\"clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B\" width=\"300\" height=\"250\" codebase=\"http://www.apple.com/qtactivex/qtplugin.cab\">\n".
                            "<param name=\"SRC\" value=\"$home_url$spark_url/$ufile_name\">\n".
                            "<param name=\"AUTOPLAY\" value=\"true\">\n".
                            "<param name=\"CONTROLLER\" value=\"true\">\n".
                            "<param name=\"AUTOHREF\" value=\"true\">\n".
                            "<param name=\"CACHE\" value=\"true\">\n".
                            "<param name=\"CORRECTION\" value=\"full\">\n".
                            "<param name=\"SCALE\" value=\"tofit\">\n".
                            "<param name=\"VOLUME\" value=\"70\">\n".
                            "<embed src=\"$home_url$spark_url/$ufile_name\" width=\"100%\" height=\"100%\" autoplay=\"true\" controller=\"true\" pluginspage=\"http://www.apple.com/quicktime/download/\">\n".
                            "</embed>\n".
                            "</object>\n";
                 $style = "";
				     if(!empty($$val_mfcolor)) $style .= " color:${$val_mfcolor};";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
				     $return = "<div align=\"center\" style=\"width:100%;$style\">$return<br><br></div><br>\n";
				     break;
			   case "html" :
			   case "htm" :
			   case "php" :
			   case "pl" :
			   case "sh" :
			        $ufile_name = convert_ext($ufile_name);
			   case "c" :
			   case "cpp" :
			   case "h" :
			   case "txt" :
			        $fsize = filesize("$spark_root/$ufile_name");
			        $addstr = "";
			        if(500 < $fsize)
			        {
				       $fsize = 500;
				       $addstr = ".....  .....";
				     }
			        $fh = fopen("$spark_root/$ufile_name", "r");
				     $fv = fread($fh, $fsize);
				     fclose($fh);
                 $fv = htmlspecialchars($fv);
				     if(!empty($$val_mfinfo)) $return .= "<br><center>${$val_mfinfo}</center><br>\n";
				     $return .= "<pre>\n$fv\n$addstr</pre>\n";
				     $style = "";
                 $fnum = $row["nid"];
				     if(!empty($$val_mfcolor)) $return = "<font color=\"${$val_mfcolor}\">$return</font>";
                 if(!empty($$val_mfbgcolor)) $style .= " background-color:${$val_mfbgcolor};";
  				     $return = "<a href=\"JavaScript:MfWindow('$home_url$spark_url/main.php?mode=".urlencode("view")."&bid=".urlencode($bid)."&gid=".urlencode($gid)."&view=".urlencode($fnum)."&field=".urlencode($key)."&choice=".urlencode("read")."', 'yes')\">$return</a>\n";
				     $return = "<div align=\"left\" style=\"width:100%;$style\">$return<br></div><br>\n";
                 break;
		    }
		  }
	   }
	 }
  }
  return $return;
}
?>